NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::WeldCut Features::ShipDesign::WeldCut@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateWeldCutBuilder Features::ShipCollection::CreateWeldCutBuilder @endlink <br>
Default values. More...
Public Types | |
enum | CreationMethod { CreationMethodCorner, CreationMethodAlongGuide, CreationMethodSpecifyCSYS } |
Creation method used to define the placement of the weld cut. More... | |
Public Member Functions | |
NXOpen::CoordinateSystem * | CoordSystem () |
Returns the placement CSYS of the weld cut The coordinate system is only used for the SpecifyCSYS placement method. | |
bool | KeepCoordSystem () |
Returns the keep coordinate system. | |
bool | KeepSelectCSYSFace () |
Returns the keep select target face. | |
bool | KeepSelectGuideCurve () |
Returns the keep select guide curve. | |
bool | KeepSelectTargetFace () |
Returns the keep select target face. | |
NXOpen::Features::ShipDesign::WeldCutBuilder::CreationMethod | PlacementType () |
Returns the method used to define the placement of the weld cut Created in NX7.5.0. | |
NXOpen::SelectFace * | SelectCSYSFace () |
Returns the selection object for the target face. | |
NXOpen::SelectTaggedObject * | SelectGuideCurve () |
Returns the selection object for the guide curve. | |
NXOpen::SelectFace * | SelectTargetFace () |
Returns the selection object for the target face. | |
void | SetCoordSystem (NXOpen::CoordinateSystem *coordSystem) |
Sets the placement CSYS of the weld cut The coordinate system is only used for the SpecifyCSYS placement method. | |
void | SetKeepCoordSystem (bool keepCoordSystem) |
Sets the keep coordinate system. | |
void | SetKeepSelectCSYSFace (bool keepSelectCSYSFace) |
Sets the keep select target face. | |
void | SetKeepSelectGuideCurve (bool keepSelectGuideCurve) |
Sets the keep select guide curve. | |
void | SetKeepSelectTargetFace (bool keepSelectTargetFace) |
Sets the keep select target face. | |
void | SetPlacementType (NXOpen::Features::ShipDesign::WeldCutBuilder::CreationMethod placementType) |
Sets the method used to define the placement of the weld cut Created in NX7.5.0. | |
void | SetWeldLocation (NXOpen::Point *weldLocation) |
Sets the weld location. | |
NXOpen::SketchExpressionModifierBuilder * | SketchBlock () |
Returns the sketch block Created in NX7.5.0. | |
NXOpen::Point * | WeldLocation () |
Returns the weld location. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::WeldCut Features::ShipDesign::WeldCut@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateWeldCutBuilder Features::ShipCollection::CreateWeldCutBuilder @endlink <br>
Default values.
Property | Value |
---|---|
SketchBlock.Exp1.Value |
0 |
SketchBlock.Exp10.Value |
0 |
SketchBlock.Exp11.Value |
0 |
SketchBlock.Exp12.Value |
0 |
SketchBlock.Exp2.Value |
0 |
SketchBlock.Exp3.Value |
0 |
SketchBlock.Exp4.Value |
0 |
SketchBlock.Exp5.Value |
0 |
SketchBlock.Exp6.Value |
0 |
SketchBlock.Exp7.Value |
0 |
SketchBlock.Exp8.Value |
0 |
SketchBlock.Exp9.Value |
0 |
SketchBlock.Sketches |
EndCut1 |
Created in NX7.5.0.
NXOpen::CoordinateSystem* NXOpen::Features::ShipDesign::WeldCutBuilder::CoordSystem | ( | ) |
Returns the placement CSYS of the weld cut The coordinate system is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::WeldCutBuilder::KeepCoordSystem | ( | ) |
Returns the keep coordinate system.
A toggle used to remember the specified csys on apply. The keep selected coordinate system is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::WeldCutBuilder::KeepSelectCSYSFace | ( | ) |
Returns the keep select target face.
A toggle used to remember the selected target face on apply. This keep select target face is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::WeldCutBuilder::KeepSelectGuideCurve | ( | ) |
Returns the keep select guide curve.
A toggle used to remember the selected guide curve on apply. The keep select guide curve is only used for the AlongGuide placement method.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::WeldCutBuilder::KeepSelectTargetFace | ( | ) |
Returns the keep select target face.
A toggle used to remember the selected target face on apply. This keep select target face is only used for the AlongGuide placement method.
Created in NX7.5.0.
License requirements : None
NXOpen::Features::ShipDesign::WeldCutBuilder::CreationMethod NXOpen::Features::ShipDesign::WeldCutBuilder::PlacementType | ( | ) |
Returns the method used to define the placement of the weld cut
Created in NX7.5.0.
License requirements : None
NXOpen::SelectFace* NXOpen::Features::ShipDesign::WeldCutBuilder::SelectCSYSFace | ( | ) |
Returns the selection object for the target face.
This target face is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::WeldCutBuilder::SelectGuideCurve | ( | ) |
Returns the selection object for the guide curve.
The select guide curve is only used for the AlongGuide placement method.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectFace* NXOpen::Features::ShipDesign::WeldCutBuilder::SelectTargetFace | ( | ) |
Returns the selection object for the target face.
This target face is only used for the AlongGuide placement method.
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::WeldCutBuilder::SetCoordSystem | ( | NXOpen::CoordinateSystem * | coordSystem | ) |
Sets the placement CSYS of the weld cut The coordinate system is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
coordSystem | coordsystem |
void NXOpen::Features::ShipDesign::WeldCutBuilder::SetKeepCoordSystem | ( | bool | keepCoordSystem | ) |
Sets the keep coordinate system.
A toggle used to remember the specified csys on apply. The keep selected coordinate system is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepCoordSystem | keepcoordsystem |
void NXOpen::Features::ShipDesign::WeldCutBuilder::SetKeepSelectCSYSFace | ( | bool | keepSelectCSYSFace | ) |
Sets the keep select target face.
A toggle used to remember the selected target face on apply. This keep select target face is only used for the SpecifyCSYS placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectCSYSFace | keepselectcsysface |
void NXOpen::Features::ShipDesign::WeldCutBuilder::SetKeepSelectGuideCurve | ( | bool | keepSelectGuideCurve | ) |
Sets the keep select guide curve.
A toggle used to remember the selected guide curve on apply. The keep select guide curve is only used for the AlongGuide placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectGuideCurve | keepselectguidecurve |
void NXOpen::Features::ShipDesign::WeldCutBuilder::SetKeepSelectTargetFace | ( | bool | keepSelectTargetFace | ) |
Sets the keep select target face.
A toggle used to remember the selected target face on apply. This keep select target face is only used for the AlongGuide placement method.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectTargetFace | keepselecttargetface |
void NXOpen::Features::ShipDesign::WeldCutBuilder::SetPlacementType | ( | NXOpen::Features::ShipDesign::WeldCutBuilder::CreationMethod | placementType | ) |
Sets the method used to define the placement of the weld cut
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
placementType | placementtype |
void NXOpen::Features::ShipDesign::WeldCutBuilder::SetWeldLocation | ( | NXOpen::Point * | weldLocation | ) |
Sets the weld location.
The weld location is only used for the Corner placement method.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
weldLocation | weldlocation |
NXOpen::SketchExpressionModifierBuilder* NXOpen::Features::ShipDesign::WeldCutBuilder::SketchBlock | ( | ) |
Returns the sketch block
Created in NX7.5.0.
License requirements : None
NXOpen::Point* NXOpen::Features::ShipDesign::WeldCutBuilder::WeldLocation | ( | ) |
Returns the weld location.
The weld location is only used for the Corner placement method.
Created in NX7.5.0.
License requirements : None